Bug 509042 - Some deprecation warnings during installation
Some deprecation warnings during installation
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2009-06-30 20:28 EDT by Martin Nagy
Modified: 2016-07-26 19:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix deprecation warning for sha (1.54 KB, patch)
2009-07-23 17:01 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Martin Nagy 2009-06-30 20:28:20 EDT
Description of problem:
During installation, few deprecation warnings are shown.

Version-Release number of selected component (if applicable):
Latest git tree.

How reproducible:
Install freeipa.

Actual results:
These warnings can be seen:
/usr/lib/python2.6/site-packages/ipaserver/install/certs.py:21: DeprecationWarning: the sha module is deprecated; use the hashlib module instead  import sha

/usr/lib/python2.6/site-packages/ipalib/errors.py:260: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6

/usr/lib/python2.6/site-packages/ipalib/errors.py:275: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
Comment 1 Rob Crittenden 2009-07-23 17:01:35 EDT
Created attachment 354930 [details]
fix deprecation warning for sha
Comment 2 Rob Crittenden 2010-02-03 15:28:34 EST
master commit 5767c6b37d68e645bce5666ec803570e12e22560

Note You need to log in before you can comment on or make changes to this bug.